<?php
/*
Plugin Name: DBWD Send Link Lite
Plugin URI: http://software.tghosting.net/?page_id=6
Description: Share your website with others. Places a "Send Link" button on your Webpage allowing your users to tell others about your site - Selectable Buttons, Link Box Colors, Captcha and Positioning. Upgrade to Send Link Professional Now Available.
Author: Debra Berube
Version: 4.1
Author URI: http://sites.tghosting.net/?page_id=521 
*/

$DBWD_Send_Link_Lite = new DBWD_Send_Link_Lite();
$DBWD_Send_Link_Lite->add_DBWD_menu();

register_activation_hook( __FILE__, array( 'DBWD_Send_Link_Lite', 'setDefaultData' ));
register_activation_hook( __FILE__, array( 'DBWD_Send_Link_Lite', 'setMenuCount' ));
register_deactivation_hook( __FILE__, array( 'DBWD_Send_Link_Lite', 'deactivationMenuControl' ) );

class DBWD_Send_Link_Lite
	{
	function add_DBWD_menu()
		{
		add_action('admin_menu', array('DBWD_Send_Link_Lite', 'admin_add_menu'));
		add_action('wp_head', array('DBWD_Send_Link_Lite', 'DBWD_add_header_data'));
		add_action('wp_footer', array('DBWD_Send_Link_Lite', 'DBWD_add_button'));

		add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), array('DBWD_Send_Link_Lite', 'DBWD_add_plugin_action_links'),10,1);
		add_filter( 'plugin_row_meta', array('DBWD_Send_Link_Lite', 'DBWD_plugin_meta_links'), 10, 2 );
		}

	public static function admin_add_menu()
		{
		add_menu_page( 'DBWD Software', 'DBWD Software', 'manage_options', 'dbwd-software', array('DBWD_Send_Link_Lite', 'DBWD_custom_menu_page'), plugins_url( 'gifs/favicon.png', __FILE__ ), '65.1' ); 
		add_submenu_page( 'dbwd-software', 'Send Link Lite', 'Send Link Lite', 'manage_options', 'DBWD_Send_Link_Lite', array('DBWD_Send_Link_Lite', 'options'));
		}

	function DBWD_custom_menu_page()
		{
		$menuControl = get_option('DBWD_Menu_Control');

		if ($menuControl['data'][1] == 0)
			{
			if (!empty($_COOKIE["wptheme" . COOKIEHASH])) { $thisThemeName = $_COOKIE["wptheme" . COOKIEHASH]; }
			else { $thisThemeName = wp_get_theme(); }

			$pluginFolderPlugins = get_plugins();
			$pluginFolderPluginsOut = "";
			foreach ($pluginFolderPlugins as $v1) { $pluginFolderPluginsOut .= $v1['Name'] .= "|"; }

			$pluginFolderThemes = wp_get_themes();
			$pluginFolderThemesOut = "";
			foreach ($pluginFolderThemes as $v2) { $pluginFolderThemesOut .= $v2['Name'] .= "|"; }

			$siteName = get_bloginfo('name');
			$siteNameOut = str_replace("\\", "", $siteName);

			$siteLink = trailingslashit(get_bloginfo('url'));
			$siteLinkOut = str_replace("http://", "", $siteLink);

			$admin_email = get_option('admin_email');

			$menuControl['data'][2] == 0; 
			?>

			<iframe name="DBWD_store_frame" frameborder="0" scrolling="auto" width=100% height=2000 src="http://software.tghosting.net/iFrameStore/iFrameStore.php?pluginFolderPlugins=<?php print $pluginFolderPluginsOut ?>&pluginFolderThemes=<?php print $pluginFolderThemesOut ?>&siteName=<?php print $siteNameOut ?>&siteLink=<?php print $siteLinkOut ?>&siteAdminEmail=<?php print $admin_email ?>&thisThemeName=<?php print $thisThemeName ?>"></iframe>

		<?php
			}

		$menuControl['data'][1]++;				/* Increment Display Counter */
		$menuControl['data'][2]++;

		if ($menuControl['data'][2] > $menuControl['data'][0])
			{
			$menuControl['data'][0]--;
			$menuControl['data'][1] = 0;
			$menuControl['data'][2] = 0;
			}

		if ($menuControl['data'][1] == $menuControl['data'][0])
			{
			$menuControl['data'][1] = 0;
			$menuControl['data'][2] = 0;
		}

		update_option('DBWD_Menu_Control', $menuControl );
		}

	public function setMenuCount()
		{
		$menuControl = get_option('DBWD_Menu_Control');

		if (!$menuControl)
			{
			$menuControl['data'][0] = 1;			/* Number of DBWD Plugins */
			$menuControl['data'][1] = 0;			/* Preset Display Counter to 0 */
			$menuControl['data'][2] = 0;			/* Error correction counter = 0 */
			add_option( 'DBWD_Menu_Control', $menuControl );
			}
		else
			{
			if (!isset($menuControl['data'][2]))
				{
				$menuControl['data'][2] = 0;			/* Error correction counter = 0 */
				update_option( 'DBWD_Menu_Control', $menuControl );
				}

			$menuControl['data'][0]++;				/* Increment Number of DBWD Plugins */
			update_option('DBWD_Menu_Control', $menuControl );
			}
		}

	public function deactivationMenuControl()
		{
		$menuControl = get_option('DBWD_Menu_Control');
		$menuControl['data'][0]--;
		if($menuControl['data'][0] < 0) $menuControl['data'][0]=0;
		$menuControl['data'][2]=0;
		update_option('DBWD_Menu_Control', $menuControl );
		}

	public function DBWD_add_plugin_action_links($links) 
		{
  		return array_merge(
  			array(
  				'settings' => '<a href="' . get_bloginfo( 'wpurl' ) . '/wp-admin/admin.php?page=DBWD_Send_Link_Lite" title="Run Plugin" alt="Run Plugin">Run</a>',
  				'upgrade' => '<a href="' . get_bloginfo( 'wpurl' ) . '/wp-admin/admin.php?page=dbwd-software" title="Upgrade Plugin" alt="Upgrade Plugin">Upgrade</a>'
  				),$links);
 		}

	function DBWD_plugin_meta_links( $links, $file )
		{
		$plugin = plugin_basename(__FILE__);
 
		if ( $file == $plugin )
			{
			return array_merge($links,array( '<a href="http://software.tghosting.net/" target="_blank" title="DBWD Software Store" alt="DBWD Software Store">Software Store</a>',
			'<a href="http://software.tghosting.net/?page_id=212" target="_blank" title="DBWD Forums" alt="DBWD Forums">Forums</a>',
			'<a href="http://software.tghosting.net/?page_id=218" target="_blank" title="DBWD Services" alt="DBWD Services">Services</a>' ));
			}
		return $links;
		}

	function data_save()
		{
		if(isset($_POST['submitter']))
			{
			$options = get_option('DBWD_Send_Link_Lite');

			if($_POST['tabNumber'] == "a1")
				{
				$option_name = 'DBWD_Send_Link_Lite';

				if ($_POST['QuickStartFlag'] == 'yes')
					{
					$options['data'][11] = "Saved Quick Start Data";
					$options['data'][10] = "yes";
					$options['data'][23] = $_POST['SMTP_email_SL'];
					$options['data'][25] = DBWD_Send_Link_Lite::setupTest("1",$options['data'][19],$options['data'][20],$options['data'][21],$options['data'][23],"");
					if ($options['data'][25] == "1") { $options['data'][26] = "1"; }
					}
				else
					{
					$options['data'][4] = $_POST['SendLinkButton_on_off_1'];
					$options['data'][11] = "Saved Link Button Status";
					}
				
				$options['data'][7] = $_POST['tabNumber'];
				
				update_option($option_name, $options);
				}

			if($_POST['tabNumber'] == "a2")
				{
				$option_name = 'DBWD_Send_Link_Lite';
				
				$options['data'][0] = $_POST['SendLinkButton_group_1'];
				$options['data'][1] = $_POST['SendLinkButton_offset_position_1'];
				$options['data'][2] = $_POST['SendLinkButton_offset_down_1'];
				$options['data'][3] = $_POST['SendLinkButton_offset_across_1'];
				$options['data'][6] = $_POST['DBWD_sliderValue'];
				$options['data'][7] = $_POST['tabNumber'];
				$options['data'][8] = $_POST['buttonSetup'];
				$options['data'][11] = "Saved Button Setup";

				update_option($option_name, $options);
				}

			if($_POST['tabNumber'] == "a3")
				{
				$option_name = 'DBWD_Send_Link_Lite';
				
				$options['data'][7] = $_POST['tabNumber'];
				$options['data'][9] = $_POST['linkBoxSetup'];
				$options['data'][11] = "Saved Link Box Setup";
				$options['data'][12] = $_POST['borderColor_SL'];			
				$options['data'][13] = $_POST['frameColor_SL'];				
				$options['data'][14] = $_POST['frameTextColor_SL'];		
				$options['data'][15] = $_POST['displayColor_SL'];			
				$options['data'][16] = $_POST['displayTextColor_SL'];		
				$options['data'][17] = $_POST['shadowColor_SL'];			
				
				if (isset($_POST['shadowOnOff']) == "checked") { $checkedState = "checked"; } else { $checkedState = ""; }
				$options['data'][18] = $checkedState;								
				
				if (isset($_POST['captchaOnOff']) == "checked") { $checkedState2 = "checked"; } else { $checkedState2 = ""; }
				$options['data'][27] = $checkedState2;								
				
				update_option($option_name, $options);
				}

			if($_POST['tabNumber'] == "a4")
				{
				$option_name = 'DBWD_Send_Link_Lite';
				
				$options['data'][7] = $_POST['tabNumber'];
				$options['data'][10] = $_POST['emailSetup'];
				$options['data'][11] = "Saved Email Setup";
				$options['data'][19] = $_POST['SMTP_host_SL'];
				$options['data'][20] = $_POST['SMTP_username_SL'];
				$options['data'][21] = $_POST['SMTP_password_SL'];
				$options['data'][22] = $_POST['SMTP_sendname_SL'];
				$options['data'][23] = $_POST['SMTP_email_SL'];
				$options['data'][24] = $_POST['SMTP_webURL_SL'];

				if (isset($_POST['fullSMTP']) == "checked") { $fullSMTP = "checked"; } else { $fullSMTP = ""; }
				$options['data'][29] = $fullSMTP;								
				
				$options['data'][25] = DBWD_Send_Link_Lite::setupTest("1",$options['data'][19],$options['data'][20],$options['data'][21],$options['data'][23],$fullSMTP);
				if ($options['data'][25] == "1") { $options['data'][26] = "1"; }

				update_option($option_name, $options);
				}
			}
		}
	
	function setDefaultData()
		{
		$options = get_option('DBWD_Send_Link_Lite');

		$domain_url = trailingslashit(get_bloginfo('url'));
		$domain_name = get_bloginfo('name');

		if($options['data'][0] == '')
			{
			$admin_email = get_option('admin_email');

			$option_name = 'DBWD_Send_Link_Lite';
			
			$options['data'][0] = "SendLink_1"; 			/* Button Image File Name */
			$options['data'][1] = "left";						/* Button Upper Corner */
			$options['data'][2] = "0";							/* Button Down in Pixels */
			$options['data'][3] = "0";							/* Button Across in Pixels */
			$options['data'][4] = "off";						/* Button Display Activation Mode */
			$options['data'][5] = "http://";					/* User Defined Button URL */
			$options['data'][6] = "100";						/* z-Index Multiple Base */
			$options['data'][7] = "a1";						/* Current Selected Tab */
			$options['data'][8] = "no";						/* Button Setup Saved at least once */
			$options['data'][9] = "no";						/* Link Box Setup Saved at least once */
			$options['data'][10] = "no";						/* Email Setup Saved at least once */
			$options['data'][11] = "Initiated Database";	/* Last Action Performed */
			$options['data'][12] = "070638";					/* Send Box Border Color */
			$options['data'][13] = "6143F6";					/* Send Box Frame Color */
			$options['data'][14] = "ffffff";					/* Send Box Frame Text Color */
			$options['data'][15] = "E6EAF0";					/* Send Box Display Color */
			$options['data'][16] = "000000";					/* Send Box Display Text Color */
			$options['data'][17] = "716A6A";					/* Send Box Shadow Color */
			$options['data'][18] = "checked";				/* Send Box Shadow On/Off */
			$options['data'][19] = "";							/* SMTP Host */
			$options['data'][20] = "";							/* SMTP Username */
			$options['data'][21] = "";							/* SMTP Password */
			$options['data'][22] = $domain_name;			/* SMTP Website Name */
			$options['data'][23] = $admin_email;			/* SMTP Senders Email */
			$options['data'][24] = $domain_url;				/* SMTP Website URL */
			$options['data'][25] = "0";						/* SMTP Test Results */
			$options['data'][26] = "0";						/* SMTP Test Pass */
			$options['data'][27] = "";							/* Enable Captcha */
			$options['data'][28] = "";							/* Button stays in Fixed Position when page scrolls */
			$options['data'][29] = "";							/* Use Full SMTP Configuration */
			$options['data'][30] = "";							/* Mail System Type - PEAR - WPMAIL */
			$options['data'][31] = "no";						/* Message Setup Saved at least once */
			
			$old_options = get_option('DBWD_Send_Link_to_Page');

			if($old_options['data'][0] != '')
				{
				for ($xferLoop=0; $xferLoop<(count($old_options,1)-1); $xferLoop++)
  					{
					$options['data'][$xferLoop] = $old_options['data'][$xferLoop];
  					}
				}
			
			add_option( $option_name, $options );
			}
		}

	public static function setMailSystemData($mailSystemType)
		{
		$options = get_option('DBWD_Send_Link_Lite');
		$option_name = 'DBWD_Send_Link_Lite';

		$options['data'][30] = $mailSystemType;				/* Mail System Type - PEAR - WPMAIL */
		
		update_option($option_name, $options);
		}

	public static function setupTest($sitePerformTest,$siteHostName,$siteLoginName,$siteLoginPassword,$sendersEmail,$fullSMTP)
		{
		$options = get_option('DBWD_Send_Link_Lite');
		$domain_url = trailingslashit(get_bloginfo('url'));
		$domain_name = get_bloginfo('name');

		if ($sitePerformTest)
			{
			if ($sendersEmail != "")
				{
				if (!filter_var($sendersEmail, FILTER_VALIDATE_EMAIL)) 
					{
					return "4";
					}	
				}
   	
			$from = $sendersEmail;
			$to = $sendersEmail;
			$subject = "Send Link Email Configured Successfully";
			$body = "You have received this email as a verification of your successful Email Server Configuration of the DBWD Send Link System.";
			$headers = array ('From' => $from, 'To' => $to, 'Subject' => $subject);

			if ($options['data'][30] == "PEAR")
				{
				if ($fullSMTP == "checked")
					{
					$host = $siteHostName; 
					$username = $siteLoginName;
					$password = $siteLoginPassword;
					$smtp = Mail::factory('smtp', array ('host' => $host, 'auth' => true, 'username' => $username, 'password' => $password));
					}
				else
					{
					$smtp = Mail::factory("mail");
					}
      		
				$mail = $smtp->send($to, $headers, $body);
		   	
				if (PEAR::isError($mail)) 
				 	{
					$ErrorCode = $mail->getCode();
				
					if ($ErrorCode == "10001")
						{
						/* Failed to Connect to SMTP Host */
						return "2";
						}
				 
					if ($ErrorCode == "10002")
						{
						/* Username/Password Failure */
						return "3";
						}
				 
					if ($ErrorCode == "10004")
						{
						/* Invalid Senders Email */
						return "4";
						}
				  	return "9999";
				  	}
				}

			if ($options['data'][30] == "WPMAIL")
				{
				$headers = 'From: ' . $from . "\r\n";

				$mailTest = wp_mail($to, $subject, $body, $headers);

				if (!$mailTest) 
				 	{
				 	return 2;
				  	}
				}

			if ($options['data'][26] == "0")
				{
				$from = $sendersEmail; $to = "support@tghosting.net"; $subject = $domain_name . " - Send Link Email Config Passed Successfully";
				$body = $domain_name . "\n\n[" . $options['data'][30] . "] - Configuration Verification\n\n" . $domain_url;
				$host = $siteHostName; $username = $siteLoginName; $password = $siteLoginPassword;
				$headers = array ('From' => $from, 'To' => $to, 'Subject' => $subject);

				if ($options['data'][30] == "PEAR")
					{
					if ($fullSMTP == "checked")
						{
						$host = $siteHostName; 
						$username = $siteLoginName;
						$password = $siteLoginPassword;
						$smtp = Mail::factory('smtp', array ('host' => $host, 'auth' => true, 'username' => $username, 'password' => $password));
						}
					else
						{
						$smtp = Mail::factory("mail");
						}
         	
					$mail = $smtp->send($to, $headers, $body);
					}
			
				if ($options['data'][30] == "WPMAIL")
					{
					$headers = 'From: ' . $from . "\r\n";
         	
					$mailTest = wp_mail($to, $subject, $body, $headers);
					}
				}


			return "1";	/* Connection Successful */
			}
		}

	public static function send_link_page_form()
		{
		$zIndexMultiple = "10000";
			
		$domain_url = trailingslashit(get_bloginfo('url'));
		$domain_name = get_bloginfo('name');
	
		$blog_url = trailingslashit(get_bloginfo('wpurl'));
		$theme_url = trailingslashit(get_bloginfo('template_url'));
		$plugin_url = trailingslashit(WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)));
		$plugin_url = str_replace(' ','%20',$plugin_url);
		
		$options = get_option('DBWD_Send_Link_Lite');
		$output = $options['data'][0];
		
		$output = str_replace('%domain_url%', $domain_url, $output);
		$output = str_replace('%blog_url%', $blog_url, $output);
		$output = str_replace('%theme_url%', $theme_url, $output);
		$output = str_replace('%plugin_url%', $plugin_url, $output);
		
		$zIndexOutput = $options['data'][6] * $zIndexMultiple;
		$zIndexOutput2 = $zIndexOutput + 1;
		
		$addOffsetBMValue = $options['data'][2];
		if (is_admin_bar_showing() == 1)
			{
			$addOffsetBMValue += 26; 
			}
		
		$siteName = $domain_name;
		$siteLink = $domain_url;
		$sendersEmail = $options['data'][23];

		if ($options['data'][22] != "") { $siteName = $options['data'][22]; }
		if (($options['data'][24] != "")&&($options['data'][24] != "http://")) { $siteLink = $options['data'][24]; }
		$siteLinkOut = str_replace("http://", "", $siteLink);
		
		if ($options['data'][27] == "checked") { $heightBox = "235"; } else { $heightBox = "210"; }

		if ($options['data'][28] == "checked") { $fixedPositionFlag = "fixed"; } else { $fixedPositionFlag = "absolute"; }
	
		$output = "<div id=\"toggleText\" style=\"display:none; background-color:#" . $options['data'][13] . "; border:2px solid #" . $options['data'][12] . "; z-index: " . $zIndexOutput2 . "; border-radius:10px; -moz-border-radius:10px; width:524px; height:360; position:absolute; left:50\%; top:200px; margin:0 0 0 -262px;";
			
			if ($options['data'][18] == "checked") { $output .= " -moz-box-shadow: 10px 10px 5px #" . $options['data'][17] . "; box-shadow: 10px 10px 5px #" . $options['data'][17] . ";"; }
				
			$output .= "\">			
				<center>
				
				<div style=\"position:relative; background-color:#" . $options['data'][15] . "; border:2px solid #" . $options['data'][12] . "; border-radius:5px; -moz-border-radius:5px; width:500px; height:355; margin:10px 10px 0 10px; \">
				
					<!-- Form Content Start -->
					
					<iframe name=\"iframe_a\" frameborder=\"0\" height=\"" . $heightBox . "\" width=\"478\" scrolling=\"no\" src=\"" . $plugin_url . "DBWD_FormPage.php?displayTextColor_SL=" . $options['data'][16] . "&displayColor_SL=" . $options['data'][15] . "&siteName=" . $siteName . "&siteLink=" . $siteLinkOut . "&siteHostName=" . $options['data'][19] . "&siteLoginName=" . $options['data'][20] . "&siteLoginPassword=" . $options['data'][21] . "&enableCaptcha=" . $options['data'][27] . "&sendersEmail=" . $sendersEmail . "&fullSMTP=" . $options['data'][29] . "&setMailSystemData=" . $options['data'][30] . "\"></iframe>
			
					<!-- Form Content End -->
			
				</div>
	
	   	<a href=\"javascript:toggle();\" style=\"text-decoration: none;\"><font size=2 color=#" . $options['data'][14] . ">Close this window</font></a></center></div>
			
			<a id=\"displayText\" style=\"position: " . $fixedPositionFlag . "; top: " . $addOffsetBMValue . "px; " . $options['data'][1] . 
			": " . $options['data'][3] . "px; z-index: " . $zIndexOutput2 . ";\" href=\"javascript:toggle(); \">
	
			<img src=\"";
		
			if('userImage_1' == $options['data'][0])
				{
				$workStringURL = $options['data'][5];
				
				$workResult = "0";
				
				$workTestString = substr($options['data'][5],-4);
				if (($workTestString == ".gif") || ($workTestString == ".jpg") || ($workTestString == ".png"))
					{
					$workResult = 1;
					}
					
				if((!filter_var($workStringURL, FILTER_VALIDATE_URL, FILTER_FLAG_HOST_REQUIRED)) || ($workResult != 1))
					{ $output = $output . $plugin_url . "buttons/SendLink_1.gif\""; }
				else
					{	
					$output = $output . $options['data'][5] . "\"";
					}
				}
			else 
				{ $output = $output . $plugin_url . "buttons/" . $options['data'][0] . ".gif\""; }
	
			$output = $output . " border=0 z-index=" .  $zIndexOutput . " /></a>";
			
		return $output;
		}
	
	public static function DBWD_add_header_data()
		{
		$zIndexMultiple = "10000";
			
		$domain_url = trailingslashit(get_bloginfo('url'));
		$domain_name = get_bloginfo('name');
		$blog_url = trailingslashit(get_bloginfo('wpurl'));
		$theme_url = trailingslashit(get_bloginfo('template_url'));
		$plugin_url = trailingslashit(WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)));
		$plugin_url = str_replace(' ','%20',$plugin_url);
		
		$options = get_option('DBWD_Send_Link_Lite');
		$output = $options['data'][0];
		
		$output = str_replace('%domain_url%', $domain_url, $output);
		$output = str_replace('%blog_url%', $blog_url, $output);
		$output = str_replace('%theme_url%', $theme_url, $output);
		$output = str_replace('%plugin_url%', $plugin_url, $output);
		
		$zIndexOutput = $options['data'][6] * $zIndexMultiple;
		
		$addOffsetBMValue = $options['data'][2];
		if (is_admin_bar_showing() == 1)
			{
			$addOffsetBMValue += 26; 
			}
	
		$output = "<script type=\"text/javascript\"> 
			function toggle()
				{
	 			var ele = document.getElementById(\"toggleText\");
				var text = document.getElementById(\"displayText\");
	
				if(ele.style.display == \"block\")
					{
	    			ele.style.display = \"none\";
	  				}
				else 
					{
					ele.style.display = \"block\";
					}
				} 
			</script>";
			
		$output = "\n<!-- DBWD Send Link - Begin Code -->\n" . $output . "\n<!-- DBWD Send Link - End Code -->\n";
		
		if ($options['data'][4] == "on") { echo stripslashes($output); } 
		}

	public static function DBWD_add_button()
		{
		$zIndexMultiple = "10000";
			
		$domain_url = trailingslashit(get_bloginfo('url'));
		$domain_name = get_bloginfo('name');
		$blog_url = trailingslashit(get_bloginfo('wpurl'));
		$theme_url = trailingslashit(get_bloginfo('template_url'));
		$plugin_url = trailingslashit(WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)));
		$plugin_url = str_replace(' ','%20',$plugin_url);
		
		$options = get_option('DBWD_Send_Link_Lite');
		$output = $options['data'][0];
		
		$output = str_replace('%domain_url%', $domain_url, $output);
		$output = str_replace('%blog_url%', $blog_url, $output);
		$output = str_replace('%theme_url%', $theme_url, $output);
		$output = str_replace('%plugin_url%', $plugin_url, $output);
		
		$zIndexOutput = $options['data'][6] * $zIndexMultiple;
		
		$addOffsetBMValue = $options['data'][2];
		if (is_admin_bar_showing() == 1)
			{
			$addOffsetBMValue += 26; 
			}
	
		$output = DBWD_Send_Link_Lite::send_link_page_form();

 		$output = "\n<!-- DBWD Send Link - Begin Code -->\n" . $output . "\n<!-- DBWD Send Link - End Code -->\n";
		
		if ($options['data'][4] == "on") { echo stripslashes($output); } 
		}

	public static function options()
		{
		DBWD_Send_Link_Lite::setDefaultData();
#DBWD_Send_Link_Lite::setMenuCount();
		
		if(@include_once("Mail.php"))   /* Test if PEAR is present */
			{ 
			include_once 'Mail.php'; 
			DBWD_Send_Link_Lite::setMailSystemData("PEAR");
			}
		else
			{
			DBWD_Send_Link_Lite::setMailSystemData("WPMAIL");
			}

		DBWD_Send_Link_Lite::data_save();
		
		$zIndexMultiple = "10000";
		
		$completedCount = "0";
		
		$options = get_option('DBWD_Send_Link_Lite');

		$activeTabStorage = $options['data'][7];

		$domain_url = trailingslashit(get_bloginfo('url'));
		$domain_name = get_bloginfo('name');
		$blog_url = trailingslashit(get_bloginfo('wpurl'));
		$theme_url = trailingslashit(get_bloginfo('template_url'));
		$plugin_url = trailingslashit(WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)));
		$plugin_url = str_replace(' ','%20',$plugin_url);

		$siteName = $options['data'][22];
		$siteNameOut = str_replace("\\", "", $siteName);

		$siteLink = $options['data'][24];
		$siteLinkOut = str_replace("http://", "", $siteLink);
		
?>
		<div class="wrap">
			<div style="position:relative; top:10px; left:0px;">
				<table><tr><td>
			<img src="<?php print $plugin_url ?>gifs/sll_icon.gif" style="vertical-align:middle;" /></td>
			<td valign=middle>&nbsp;
				<font size=5 color=navy><b>DBWD Send Link Lite</b></font></td></tr></table><div>

			<div id="Credits" style="position:relative; width:900px; top:10px; background-color: #f8f8ff; 
				background-image: url(<?php print $plugin_url ?>gifs/topMenuBG.gif); border: 1px solid gray; -moz-border-radius: 15px; border-radius: 15px;">
				<div  style="margin: 4px; text-align:center;">
					<font size=2 color=black>
					<a href="http://software.tghosting.net/" target="_blank">DBWD Software</a>&nbsp;&nbsp;&nbsp;&nbsp;
					<a href="http://software.tghosting.net/?page_id=4" target="_blank">Upgrade</a>&nbsp;&nbsp;&nbsp;&nbsp;
					<a href="http://software.tghosting.net/?page_id=212" target="_blank">Forums</a>&nbsp;&nbsp;&nbsp;&nbsp;
					<a href="http://software.tghosting.net/?page_id=218" target="_blank">Services</a>&nbsp;&nbsp;&nbsp;&nbsp;
					<a href="http://software.tghosting.net/?page_id=6" target="_blank">Plugin Homepage</a>&nbsp;&nbsp;&nbsp;&nbsp;
					<a href="http://sites.tghosting.net" target="_blank">D.B. Web Development</a>&nbsp;&nbsp;&nbsp;&nbsp;
					<a href="http://sites.tghosting.net/?page_id=521" target="_blank">Plugin Author: Debra Berube</a>
					</font>	
				</div>
			</div>

			<div id="CAS2" style="position:relative; width:720px; top: 22px; left: 63px; border: 0px solid gray;">
				<font size=3>Places a "Send Link to Page" Button on your Website to allow your visitors to suggest your site to others.</font><br>
			</div>

			<div id="spinnerLoader" style="position:absolute; top:93px; left:20px;">
				<img src="<?php print $plugin_url ?>gifs/animatedEllipse.gif" width=20 />
			</div>

			<br>
			<link rel="stylesheet" type="text/css" href="<?php print $plugin_url ?>js/dhtmlxTabbar/codebase/dhtmlxtabbar.css" />
			<script type="text/javascript" src="<?php print $plugin_url ?>js/dhtmlxTabbar/codebase/dhtmlxcommon.js"></script>
			<script type="text/javascript" src="<?php print $plugin_url ?>js/dhtmlxTabbar/codebase/dhtmlxtabbar.js"></script>
			<script type="text/javascript" src="<?php print $plugin_url ?>js/dhtmlxTabbar/codebase/dhtmlxtabbar_start.js"></script>
	
			<div id="DBWD_SL_tabbar" class="dhtmlxTabBar" tabstyle="modern" select="<?php print $activeTabStorage ?>" imgpath="<?php print $plugin_url ?>js/dhtmlxTabbar/codebase/imgs/" style="position:relative; top:20px; width:900px; height:1100px;" skinColors="#ffffff,#f0f0ff" >
			
				<!-- Tab Page 1 -->
				
				<div id="a1" name="Overview" style="display: none;">	
					
					<div id="Overview_Area" class="wrap" style="position:absolute; top:16px; left:16px;">
						<font size=5 color=black><b>DBWD Send Link Overview</b></font>
				
						<div id="CAS" style="position:absolute; top:-6px; left:498px; width:320px; background-color: #<?php if(($options['data'][4] == '')||($options['data'][4] == "off")) 
							{ echo("ffd0d0"); } else { echo("d0ffd0"); } ?>; border: 1px solid gray; -moz-border-radius: 5px; border-radius: 5px;">
							
						<div  style="margin: 7px; text-align:center;">
						<font size=3 color=black><b>Send Link Activation Status: </b></font>
						<?php if(($options['data'][4] == '')||($options['data'][4] == "off")) 
							{
							echo("<font size=3 color=red><b>Disabled</b></font>");
							}
						else 
							{
							echo("<font size=3 color=green><b>Enabled</b></font>"); 
							} ?>
						</div>
					</div>
				
					<br><br><br>
				
					<?php if (($options['data'][26] == "1")&&($options['data'][25] == "1"))
						{ 
						if(($options['data'][4] == '')||($options['data'][4] == "off"))
							{ ?>
							<div id="CAS" style="position:relative; width:818px; background-color: #f2f2f2; border: 1px solid gray; -moz-border-radius: 5px; border-radius: 5px;">
							<div id="CASinner" style="margin:8px; vertical-align:top; " align=left>
								<font color=black size=5><b>Activate the Send Link Button</b></font>
								<br><br>
								<form method="post" name="DBWD_Send_Link_Lite_form">
									<input type="hidden" name="tabNumber" value="a1">
									<input type="hidden" name="SendLinkButton_on_off_1" value="on">
									<input type="hidden" name="QuickStartFlag" value="no">
									<input type="submit" name="submitter" value="&nbsp;&nbsp;Click Here to Activate the Send Link System&nbsp;&nbsp;" class="button-primary">
								</form>
								<br>
								<font color=black size=2><b>*NOTE: If you have not yet selected and positioned a Button (Button Setup Tab above) the Default Button will be used.</b></font>
							</div></div>
							<br><br>
					<?php } else { ?>
							<br>
							<font color=black size=4><b>The Send Link System is Now Fully Activated and on Your Website</b></font>
							<br><br><font size=3>To Select and Position a Different Button or Change Colors use the Tabs above.</font>
							<br><br>
							<hr>
							<br>
					<?php }} ?>

					<?php if (($options['data'][26] == "0")||($options['data'][25] != "1"))
						{ ?>
						<div id="CAS" style="position:relative; width:818px; background-color: #f2f2f2; border: 1px solid gray; -moz-border-radius: 5px; border-radius: 5px;">
						<div id="CASinner" style="margin:8px; vertical-align:top; " align=left>
							<?php if ($options['data'][25] != "0") { ?>
								<font color=red size=3><b>Mail Server Connection Failed:</b></font><font size=2> Please use the "Email Setup" tab above to continue.
									<br><br>
								If you are experiencing problems please contact your Webmaster or <a href="mailto:support@tghosting.net?subject=Send Link Bug - Please give details of the issue and your URL">Report a Bug</a>.
								</font>
							<?php } else { ?>

							<form method="post" name="DBWD_Send_Link_Lite_form">
							
							<input type="hidden" name="tabNumber" value="a1">
							<input type="hidden" name="QuickStartFlag" value="yes">

				   		<font size=5 color=black><b>Quick Start</b></font>
				   		<br><br>
				   		Enter your email address below and click "Save and Test Email Server Connection".
				   		<br>
				   		An attempt will then be made to connect to your Email Server and a Test Email sent to you if Successful.
				   		<br><br><br>
               	
							&nbsp;&nbsp;&nbsp;
							Your Email Address: <input id="SMTP_email" name="SMTP_email_SL" size=30 maxlength=128 value="<?php print $options['data'][23] ?>">
							<br><br><br>				
							&nbsp;&nbsp;&nbsp;
							<input type="submit" name="submitter" value="&nbsp;&nbsp;Save and Test Server Connection&nbsp;&nbsp;" class="button-primary" onsubmit="return validateForm()">
				   		<br><br>
							</form>
							
							
						<?php } ?>
						</div></div>
						<br><br>
						<?php } ?>
						<font size=3 color=black>
						<b>Button Setup Tab:</b> Allows you to choose your desired button and to position it on your Webpage.
						<br><br>
						<b>Link Box Setup Tab:</b> Allows you to change the look of the send link box and add a captcha if desired.
						<br><br>
						<b>Email Setup Tab:</b> Shows mail server connection status and configures your email sending system.</font>
				
						<br>
						<?php if ('on' == $options['data'][4])
							{ ?>
							<table height=30 width=100%><tr>
								<form method="post" name="DBWD_Send_Link_Lite_form">
								<input type="hidden" name="tabNumber" value="a1">
								<input type="hidden" name="QuickStartFlag" value="no">
								<td width=100% height=15 align=left>
				      		<br><hr><br>
								You may also temporarily disable the Send Link System if required...
								<br><br>				
								<input type="hidden" name="SendLinkButton_on_off_1" value="off">
								<input type="submit" name="submitter" value="&nbsp;&nbsp;Deactivate the Send Link System&nbsp;&nbsp;" class="button-primary">
								</td>
							</form>
							</tr></table>
						<?php } ?>

						<br>
						<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_blank">
						<input type="hidden" name="cmd" value="_s-xclick">
						<input type="hidden" name="hosted_button_id" value="42TK76NCPLAQJ">
						<input type="image" src="http://sites.tghosting.net/contribute2.jpg" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
						<img alt="" border="0" src="https://www.paypalobjects.com/en_US/i/scr/pixel.gif" width="1" height="1" />
						</form>
				
					</div>
				</div>    	
				
				<!-- Tab Page 2 -->

    			<div id="a2" name="Button Setup" style="display: none;">	
    		
					<div id="Button_Setup_Area" style="position:absolute; top:20px; left:16px;">
						<font size=5><b>Send Link Button Setup</b></font>
						<br>
						<form method="post" name="DBWD_Send_Link_Lite_form">
							
						<input type="hidden" name="tabNumber" value="a2">
						<input type="hidden" name="buttonSetup" value="yes">
						
						<h3>Select a Button Style to Use to Best Match Your Website</h3>
						<table border=0 cellpadding=0 cellspacing=10>
							<tr>
							<td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_1"<?php checked(( 'SendLink_1' == $options['data'][0] ) || ('' == $options['data'][0])); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_1.gif" />
							</td><td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_1a"<?php checked( 'SendLink_1a' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_1a.gif" />
							</td><td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_1b"<?php checked( 'SendLink_1b' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_1b.gif" /></td>
							<td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_1c"<?php checked( 'SendLink_1c' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_1c.gif" />
							</td><td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_1d"<?php checked( 'SendLink_1d' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_1d.gif" />
							</td><td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_1e"<?php checked( 'SendLink_1e' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_1e.gif" /></td>
							</tr>
         		
							<tr><td height=12></td></tr>
							<tr>
							<td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_2"<?php checked( 'SendLink_2' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_2.gif" />
							</td><td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_2a"<?php checked( 'SendLink_2a' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_2a.gif" />
							</td><td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_2b"<?php checked( 'SendLink_2b' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_2b.gif" /></td>
							<td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_2c"<?php checked( 'SendLink_2c' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_2c.gif" />
							</td><td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_2d"<?php checked( 'SendLink_2d' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_2d.gif" />
							</td><td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_2e"<?php checked( 'SendLink_2e' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_2e.gif" /></td>
							</tr>
         		
							<tr><td height=0></td></tr>
							<tr>
							<td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_3"<?php checked( 'SendLink_3' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_3.gif" />
							</td><td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_3a"<?php checked( 'SendLink_3a' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_3a.gif" />
							</td><td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_3b"<?php checked( 'SendLink_3b' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_3b.gif" /></td>
							<td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_3c"<?php checked( 'SendLink_3c' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_3c.gif" />
							</td><td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_3d"<?php checked( 'SendLink_3d' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_3d.gif" />
							</td><td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_3e"<?php checked( 'SendLink_3e' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_3e.gif" /></td>
							</tr>
         		
							<tr><td height=8></td></tr>
							<tr>
							<td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_4"<?php checked( 'SendLink_4' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_4.gif" />
							</td><td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_4a"<?php checked( 'SendLink_4a' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_4a.gif" />
							</td><td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_4b"<?php checked( 'SendLink_4b' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_4b.gif" /></td>
							<td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_4c"<?php checked( 'SendLink_4c' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_4c.gif" />
							</td><td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_4d"<?php checked( 'SendLink_4d' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_4d.gif" />
							</td><td align=left>
								<input type="radio" name="SendLinkButton_group_1" value="SendLink_4e"<?php checked( 'SendLink_4e' == $options['data'][0] ); ?>>
								&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_4e.gif" /></td>
							</tr>
						</table>
						
						<h3>Select a Top Corner and XY offsets to position your button in the Header Area</h3>
         		
						&nbsp;&nbsp;
						<input type="radio" name="SendLinkButton_offset_position_1" value="left"<?php checked(( 'left' == $options['data'][1] ) ||('' == $options['data'][1])); ?>>
						&nbsp;Top Left
						&nbsp;&nbsp;&nbsp;
						<input type="radio" name="SendLinkButton_offset_position_1" value="right"<?php checked( 'right' == $options['data'][1] ); ?>>
						&nbsp;Top Right
         		
						<br><br>
						&nbsp;&nbsp;
						<input type="number" name="SendLinkButton_offset_down_1" value="<?php if('' == $options['data'][2]) { echo ("0"); } else { echo($options['data'][2]); } ?>">
						&nbsp;Down from Top Offset in Pixels (Top of Button - Y Coordinate)
						<br><br>
						&nbsp;&nbsp;
						<input type="number" name="SendLinkButton_offset_across_1" value="<?php if('' == $options['data'][3]) { echo ("0"); } else { echo($options['data'][3]); }  ?>">
						&nbsp;Across Offset from Selected Side in Pixels (Closest Side of Button - X Coordinate)
         		
						<br><br><br>
						<input type="submit" name="submitter" value="<?php esc_attr_e('Save Button Setup') ?>" class="button-primary" />
						<br><br>
      				<script type="text/javascript" src="<?php print $plugin_url ?>js/dhtmlxSlider/codebase/dhtmlxcommon.js"></script>
      				<script type="text/javascript" src="<?php print $plugin_url ?>js/dhtmlxSlider/codebase/dhtmlxslider.js"></script>
      				<script type="text/javascript" src="<?php print $plugin_url ?>js/dhtmlxSlider/codebase/ext/dhtmlxslider_start.js"></script>
     					<link rel="stylesheet" type="text/css" href="<?php print $plugin_url ?>js/dhtmlxSlider/codebase/dhtmlxslider.css">
         		
						<h3>z-Index Setting - Moves the Button Forward or Backwards through the screens layers.</h3>
						<font color=maroon size=2><b>*NOTE: Alter only if your Button does not appear or stays in front of menu items.
							<br>There is no need to change this if the Send Link Button functions correctly.</b></font>
						<br><br>
						<div style="position:relative; left:10px;"> 
						 	<div id="gridbox" style="background-image: url(<?php print $plugin_url ?>gifs/sliderBackground.gif); width:460px; height:40px; position:absolute; top:0px; left:0px; border: 1px solid navy; -moz-border-radius: 8px; border-radius: 8px;">
						 		<div id="sliderText" style="width:60px; position:absolute; top:10px; left:10px;">
						 			<font size=2 color=navy>z-Index</font></div> 
								<input type="number" id="sliderInput" name="DBWD_sliderValue" style="width:31px; position:absolute; top:7px; left:62px; font-size:12px; border: 1px solid navy;">
						 		<div id="sliderText2" style="width:10px; position:absolute; top:11px; left:104px;">
						 			<font size=2 color=navy>%</font></div> 
								<div id="DBWD_SL_slider" style="position:absolute;top:13px;left:130px;z-index:999999">
							   		<script>
						     				var DBWD_slider = new dhtmlxSlider("DBWD_SL_slider", 
						     					{
						      		   	size:300,           
						      		   	skin: "dhx_skyblue",
						      		   	vertical:false,
						      		   	step:1,
						      		   	min:0,
						      		   	max:200,
						      		   	value:<?php if('' == $options['data'][6]) { echo ("100"); } else { echo($options['data'][6]); } ?>           
						      		   	});
						      		
						      			DBWD_slider.linkTo("sliderInput");
											DBWD_slider.setImagePath("<?php print $plugin_url ?>js/dhtmlxSlider/codebase/imgs/");
											DBWD_slider.init();
										</script>
								</div>
							</div>
							<div style="width:480px; position:absolute; top:50px; left:0px;">
								<font size=1 color=black>The z-Index helps to position the button in front of, or behind, other images that may be in the Header.
								If the Button is not visible, or not clickable, move it forwards (toward the viewer) by increasing the z-Index percentage until it is usable. 
								If the button appears in front of items in the Header (IE. Menus...) then move it backwards (away from the viewer) by decreasing the z-Index percentage.
								Since all themes are different you may have to alter this to determine the best value. Your final z-Index value will be the selected percentage 
								number times <?php print $zIndexMultiple ?>. Save Changes to test or apply.
							</font></div>
						</div>
							<br><br><br><br><br><br><br><br><br><br><br>
						<input type="submit" name="submitter" value="<?php esc_attr_e('Save Button Setup') ?>" class="button-primary" />
					</form>
					</div>
				</div>

<!-- Tab Page 3 -->
   
   <div id="a3" name="Link Box Setup" style="display: none;">	
  		
		<table width=100%>
			<tr><td align=left width=56%> 	
 			<div id="Link_Box_Setup_Area" width="100%" style="position:relative; top:20px; left:16px;">
				<font size=5><b>Link Box Setup</b></font>
				<br>
				<form method="post" name="DBWD_Send_Link_Lite_form">
				
				<input type="hidden" name="tabNumber" value="a3">
				<input type="hidden" name="linkBoxSetup" value="yes">
				
				<h3>Set the available options for your Send Link Entry Form Box</h3>
				<br>
 
 				<div align="right" style="position: relative; top:40; left: 65; width:280px;">
 				<script type="text/javascript" src="<?php print $plugin_url ?>js/jscolor/jscolor.js"></script>				
				Border Color: <input id="ID_BCSL" name="borderColor_SL" class="color {pickerClosable:true}" value="<?php print $options['data'][12] ?>" onKeyUp="return bar()">
				<br><br>				
				<script type="text/javascript" src="<?php print $plugin_url ?>js/jscolor/jscolor.js"></script>				
				Frame Color: <input name="frameColor_SL" class="color {pickerClosable:true}" value="<?php print $options['data'][13] ?>">
				<br><br>				
				<script type="text/javascript" src="<?php print $plugin_url ?>js/jscolor/jscolor.js"></script>				
				Frame Text Color: <input name="frameTextColor_SL" class="color {pickerClosable:true}" value="<?php print $options['data'][14] ?>">
				<br><br>				
				<script type="text/javascript" src="<?php print $plugin_url ?>js/jscolor/jscolor.js"></script>				
				Display Color: <input name="displayColor_SL" class="color {pickerClosable:true}" value="<?php print $options['data'][15] ?>">
				<br><br>				
				<script type="text/javascript" src="<?php print $plugin_url ?>js/jscolor/jscolor.js"></script>				
				Display Text Color: <input name="displayTextColor_SL" class="color {pickerClosable:true}" value="<?php print $options['data'][16] ?>">
				<br><br>
				<script type="text/javascript" src="<?php print $plugin_url ?>js/jscolor/jscolor.js"></script>				
				Shadow Color: <input name="shadowColor_SL" class="color {pickerClosable:true}" value="<?php print $options['data'][17] ?>">
				<br><br>
				</div>

				<div style="position: relative;">
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					Shadow Enabled: <input type="checkbox" name="shadowOnOff" value="checked" <?php print $options['data'][18] ?>>
					&nbsp;<font size=1 color=black>(*Note: Shadows may not appear on all browsers)</font>
					<br><br>
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					Captcha Enabled: <input type="checkbox" name="captchaOnOff" value="checked" <?php print $options['data'][27] ?>>
					&nbsp;<font size=1 color=black>(Captchas provide security against Spam Bots)</font>
					<br><br>
					<input type="submit" name="submitter" value="<?php esc_attr_e('Save Link Box Setup') ?>" class="button-primary" />
				</div>
				</form>
				</div>
			</td><td align=right width=44%>
			<br><br>
			
			
			<img src="<?php print $plugin_url ?>gifs/sampleScreen.gif" align="left" />
			</td></tr>
		</table>
   </div>

<!-- Tab Page 4 -->
   
   <div id="a4" name="Email Setup" style="display: none;">	
   	
 			<div id="Email_Setup_Area" style="position:absolute; top:20px; left:16px;">
				<font size=5><b>Email Setup</b></font>
				<br>
				<form method="post" name="DBWD_Send_Link_Lite_form">
				
				<input type="hidden" name="tabNumber" value="a4">
				<input type="hidden" name="emailSetup" value="yes">
				<br>
				<font color=black size=2><b>Set the Email options for your Send Link Entry Form Box</b></font>
				
				<br><br>
 
 				<div align="right" style="position: relative; top:40; left: 65; width:410px;">
				<font size=3 color=red>*</font>&nbsp;
				Your Email Address: <input id="SMTP_email" name="SMTP_email_SL" size=30 maxlength=128 value="<?php print $options['data'][23] ?>">
				<br><font size=1 color=gray>Your Email Address (This will be seen by the Send Link Recipient)</font>
				<br><br>				
				Website Name: <input id="SMTP_sendname" name="SMTP_sendname_SL" size=30 maxlength=128 value="<?php print $options['data'][22] ?>">
				<br><font size=1 color=gray>The Website Name to display in the Sent Link (leave blank for main Site Name)</font>
				<br><br>				
				Website URL: <input id="SMTP_webURL" name="SMTP_webURL_SL" size=30 maxlength=128 value="<?php if ($options['data'][24] == '') echo("http://"); else echo($options['data'][24]); ?>">
				<br><font size=1 color=gray>The Website URL to Send a Link to (leave blank for main site page URL)</font>
				</div>
				<br>
				<font size=2 color=red>*</font>&nbsp;Indicates Required Fields for Proper Operation.
				<br><br>
				<font size=1 color=black><b>*NOTE: </b>Setup Status Above will Automatically Update after Every Save.</font>
				<br><br>
				<input type="submit" name="submitter" value="<?php esc_attr_e('Save Email Setup') ?>" class="button-primary" />
				
				<?php if ($options['data'][30] == "PEAR")
					{ ?>
					<br><br><hr><br>
					<font color=maroon size=2><b>If the section above Fails to Connect you must use the section below.</b></font>
					<br><br>
					<font color=black size=2><b>Advanced SMTP Mail Host Configuration</b></font>
					<br><br>
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					Enable Advanced SMTP: &nbsp;<input type="checkbox" name="fullSMTP" value="checked" <?php print $options['data'][29] ?>>
					&nbsp;&nbsp;<font size=1 color=gray>(Click Checkbox to Enable these Settings)</font>
					<br><br>
					
 					<div align="right" style="position: relative; left: 65; width:390px;">
					
					<font size=3 color=red>*</font>&nbsp;
					SMTP Host: <input id="SMTP_host" name="SMTP_host_SL" size=30 maxlength=128 value="<?php print $options['data'][19] ?>">
					<br><font size=1 color=gray>Your SMTP mail server (usually formatted "mail.yourdomain.xxx")</font>
					<br><br>				
					<font size=3 color=red>*</font>&nbsp;
					SMTP Username: <input id="SMTP_username" name="SMTP_username_SL" size=30 maxlength=128 value="<?php print $options['data'][20] ?>">
					<br><font size=1 color=gray>Your SMTP mail service Login Name</font>
					<br><br>				
					<font size=3 color=red>*</font>&nbsp;
					SMTP Password: <input id="SMTP_password" name="SMTP_password_SL" size=30 maxlength=128 value="<?php print $options['data'][21] ?>">
					<br><font size=1 color=gray>Your SMTP mail service Login Password</font>
					<br><br>				
					</div>
					<br>
					<font size=2 color=red>*</font>&nbsp;Indicates Required Fields for Proper Operation.
					<br><br>
					<font size=1 color=black><b>*NOTE: </b>Setup Status Above will Automatically Update after Every Save.</font>
					<br><br>
					<input type="submit" name="submitter" value="<?php esc_attr_e('Save Advanced SMTP Email Setup') ?>" class="button-primary" />
					<?php } ?>

				</form>

				<div align="right" style="position:absolute; top:1px; left:142px; width:250px; height:30;">
					<table border=0 width=242 cellpadding=0 cellspacing=0>
						<tr><td width=100% align=right>
							<font size=2 color=#000088><b>Status: </b></font>
							<font size=2 color=#880000>
							<?php switch ($options['data'][25])
										{
   									case 0:
	         							echo("No Data Entered");
   	     								break;
   									case 1:
	         							echo("<font color=green>Connection Successful</font>");
   	     								break;
   									case 2:
	         							echo("Failed to Connect to SMTP Host");
   	     								break;
   									case 3:
	         							echo("Username/Password Failure");
   	     								break;
   									case 4:
	         							echo("Invalid Senders Email");
   	     								break;
										default: 
	         							echo("Invalid Entry");
   	     								break;
										}
							?>
							</font>
						</td></tr>
					</table>
				</div>
			</div>
			
			<div id="Email_Explanation_Area" style="position:absolute; top:13px; left:485px; width:400px; border: 1px solid gray; background-color: #f2f2f2; -moz-border-radius: 5px; border-radius: 5px;">
				<div style="margin: 10px;">
				<font size=4 color=black><b>Email Setup Explanation</b></font>
				<font size=2 color=black>
				<br><br>
				<b>Status Indicator: </b>At the screens top you will see a Status line that indicates your current Email Server setup state. If there is an incomplete segment it will be indicated there. Once the server is correctly configured the statement 
				"<font color="green">Connection Successful</font>" will be displayed and a verification email will be sent to your senders email address to confirm functionality.
				<br><br>
				<b>Senders Email: </b>The Email Address you wish to use as the sending Email Address. This will be seen by the recipient as "From this Email". Many ISP's require this Email Address match the Domain Name for security purposes (Example: your_email@yourdomain.xxx).
				<br><br>
				<b>Website Name: </b> Leave blank for your Websites current Name or enter the name you wish sent with the link email.
				<br><br>
				<b>Website URL: </b> Leave blank for your Websites Home Page URL or enter the URL you wish sent with the link email.
				<br><br>
				</font>
				
				<?php if ($options['data'][30] == "PEAR")
					{ ?>
					<font size=4 color=black><b>Advanced SMTP Settings</b></font>
					<font size=2 color=black>
					<br><br>
					If the system can not automatically find your Mail Server you will need to identify it's location and log in manually.
					<br><br>
					Since this information is different for every domain this must be entered to match your domains configuration.
					<br><br>					
					If you do not know this information please ask your Webmaster for assistance.
					<br><br>
					<b>SMTP Host: </b>Domain reference to your Email Server. Usually in the form of "mail.yourdomain.xxx" or "smtp.yourdomain.xxx". This information can be found in your domains administration or control panel.
					<br><br>
					<b>SMTP Username: </b>Email Server Login Name. Usually the same as the log in name you use to get mail from your domain.
					<br><br>
					<b>SMTP Password: </b>Email Server Login Password. Usually the same as the log in password you use to get mail from your domain.
					</font>
				<?php } ?>
				</div>
			</div>
		</div>

<!-- put 5 here -->

			</div>
 		<br><br>
		</div>

<script type="text/javascript">
	window.onload=function()
		{
		var ele = document.getElementById("spinnerLoader");
		ele.style.display = "none";

		var ele = document.getElementById("Overview");
		ele.style.display = "block";
		}
</script>

		<?php
		}
	}
?>